Name:           grooveoff
Version:        0.1.7
Release:        %mkrel 1
Summary:        Grooveshark Client
License:        GPLv3
Group:          Sound/Players
Url:            http://qt-apps.org/content/show.php/GrooveOff?content=158258

Source0:        http://qt-apps.org/CONTENT/content-files/158258-%{name}-%{version}.tar.gz


BuildRequires:  pkgconfig(QtCore)
BuildRequires:  pkgconfig(QJson)
BuildRequires:  pkgconfig(phonon)
BuildRequires:  cmake
BuildRequires:  automoc4

Requires:       qt4-common
Requires:       phonon-backend



%description
GrooveOff is an unofficial client for grooveshark.com.
Using it, it is possible to search grooveshark.com's huge database
(thanks to its public API) for artists, songs and albums and save them
on disk for offline playing.

GrooveOff provides some easy to use filters based on artists and albums.
Also included is a minimal player for previewing and listening to songs,
so one will be able to decide whether to keep or reject them.
The application is based on the Qt toolkit, but should feel native in
all desktop environments.


%prep
%setup -q

%build
%cmake

%install
%makeinstall_std -C build

cat > %{name}.lang << EOF
%lang(cs) %{_datadir}/%{name}/translations/%{name}_cs.qm
%lang(el) %{_datadir}/%{name}/translations/%{name}_el.qm
%lang(en) %{_datadir}/%{name}/translations/%{name}_en.qm
%lang(es) %{_datadir}/%{name}/translations/%{name}_es.qm
%lang(eu) %{_datadir}/%{name}/translations/%{name}_eu.qm
%lang(fr) %{_datadir}/%{name}/translations/%{name}_fr.qm
%lang(it) %{_datadir}/%{name}/translations/%{name}_it.qm
%lang(sk) %{_datadir}/%{name}/translations/%{name}_sk.qm
EOF

%files -f %{name}.lang
%doc README.md ChangeLog
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%dir %{_datadir}/%{name}/translations
%dir %{_datadir}/%{name}/


%changelog
* Thu Nov 14 2013 dglent <dglent> 0.1.7-1.mga4
+ Revision: 551122
- Remove trailing whitespace
- Fix mixted tabs and space
- Fix grammar typos in description
- Remove unneeded information from description
- Remove unneeded licence copy
- Use arch independent Requires
- Use %%{name} instead of the <name> in %%files -f option
- Add %%lang tags
- Add folders in %%files, in order to be removed after uninstall
- New version 0.1.7
- New version 0.1.5
- Update spec
- New version 0.1.3
- imported package grooveoff

